
## 1. 数据格式

### 1.1 需要为整数的字段

入职信息：
- 工龄调增
- 工龄调减

### 1.2需要为日期格式的字段（所有日期相关的字段）：

入职信息：
- 出生年月
- 参加工作时间
- 任职年月
- 原职时间
- 入职时间
- 二档起始
- 五档起始
- 日期2
职务变动：
- 任职时间
- 工资执行时间

接受的日期格式：

- Excel接受的日期格式（即在Excel中被格式化为为日期的）
- 格式如“yyyy-mm-dd”的字符串

统一的输出格式：

所有日期在输出时会被格式化为“yyyy.mm”，所以在填写的时候可以虚拟一个“日”，但是请保留以保证是日期格式。

## 2. 打包成 .exe 文件

本程序使用Win7兼容的**Python 3.8.10**，需要在电脑上使用此版本，并确保打包的环境是此版本。

1. 可以卸载所有其他版本并保留此版本
2. 可以使用虚拟环境

在正式开始之前，可以验证一下环境：

```
python --version
```

首先需要在环境中安装所需的库，相关依赖已经写入文件中。通过在目录下运行以下命令安装，安装过程需要联网：

```
pip install -r .\requirements.txt
```

如果希望通过本地包安装，可以使用已经打包好的：

```
pip install --no-index --find-links=./packages -r requirements.txt
```

之后通过如下命令进行打包：

``` 
pyinstaller --onefile main.py
```

打包后的文件在`.\dist\main.exe`。